<%- include('partials/header', {title: 'Přidat pohyb'}) %>

<div class="row">
    <div class="col">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">Přidání nového pohybu</h5>
                <form action="/fin/add/" method="post">
                    <div class="form-group">
                        <label for="what">O co jde?</label>
                        <input type="text" name="name" class="form-control form-control-lg" id="what" placeholder="Císařovy boty" autofocus required>
                        <small class="form-text text-muted">Ať to v budoucnu snadno najdeš a je ti jasný za co utrácíš nebo <em>dostáváš</em>!</small>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="date">Datum</label>
                                <input type="date" name="date" class="form-control" id="date" placeholder="Password">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="category">Kategorie</label>
                                <select name="category" class="form-control" id="category">
                                    <% CONFIG.categories.forEach((item) => { %>
                                        <option><%= item %></option>
                                    <% }); %>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="value">Částka</label>
                                <div class="input-group mb-3">
                                    <input type="number" name="value" min="0.01" step="0.01" id="value" class="form-control" placeholder="690" required>
                                    <div class="input-group-append">
                                        <select name="currency" class="form-control" id="currency">
                                            <% CONFIG.currencies.forEach((item) => { %>
                                                <option class="input-group-text"><%= item %></option>
                                            <% }); %>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="type">Typ pohybu</label>
                                <select name="type" class="form-control" id="type" required>
                                    <option value=""></option>
                                    <option value="expenditure">Výdaj</option>
                                    <option value="income">Příjem</option>
                                    <option value="claim">Je mi dluženo</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <input type="submit" class="btn btn-primary" value="Přidat pohyb">
                    <a href="/" class="btn btn-outline-secondary"  onclick="return confirm('Určitě? Změny budou zahozeny! :O');">Zpět</a>
                </form>
            </div>
        </div>
    </div>
</div>

<%- include('partials/footer') %>
<%- include('partials/file-end') %>